Annotations

Delete Annotation

Permanently deletes an annotation.

DELETE /api/sites/:site/annotations/:annotationId

Deletes an annotation. An editor or above can delete any annotation on the site, including through a per-site editor grant. Members and per-site members can delete only the annotations they created. Organization-wide annotations can only be deleted by someone with the editor role or above in the organization, even if they created the annotation. Returns 403 when you may not delete it and 404 when it does not exist on this site.

Path Parameters

Prop

Type

Example

curl -X DELETE "https://app.rybbit.io/api/sites/123/annotations/43" \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "success": true }